Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Valued Contributor III
1,191 Views

BSP editor in Eclipse IDE 11sp1

hi all, 

I've recently upgraded from Quartus II 10.1 to 11sp1, because I need to compile the superloop_sss_rgmii_plus example which is developed for this last version. 

I successfully implement and P&R the example with Quartus, but when I switch to nios IDE, I cannot found the BSP menu and the other altera tools which are presents in the previously versions of the program. 

 

I attached a screenshot of nios IDE. The installed version is 11.0sp1 Build 208 with legacy package also (first i didn't install them, but in a second time i installed the package hoping resolving the problem but it didn't happened). 

 

In the "About Eclipse" window->installation details, installed software tab I see NiosII software build tools & system console and niosII software build tools for eclipse, so the software is installed; in fact through the niosII command shell I can compile my projects. 

 

Anyone has the same problem or know the trick to bypass it? 

 

many thanks 

Alessandro
0 Kudos
6 Replies
Highlighted
Valued Contributor III
2 Views

Re: BSP editor in Eclipse IDE 11sp1

Please put a smaller screenshot, because this one is too big.

0 Kudos
Highlighted
Valued Contributor III
2 Views

Re: BSP editor in Eclipse IDE 11sp1

sorry I didn't check the maximum filesize for *.gif file. 

I re-attach the screenshot, but it isn't very important because it shown things that are missing:( 

 

I'll wait for your lighting 

 

Ale
0 Kudos
Highlighted
Valued Contributor III
2 Views

Re: BSP editor in Eclipse IDE 11sp1

Hi Ale, 

 

I had the same problem when I first upgraded from version 10.1 to 11.0 of the Quartus II tools. I had to re-install the entire package to solve the problem. I'm not sure if there was a check box that I missed the first time, or just something quirky about the install process (very likely with Altera). Someone else had posted with the same problem previously, so it's not just us. 

 

I would try un-installing then re-installing QII 11.0 sp1 and keep a close eye on the check boxes during the process. 

 

 

Good luck!
0 Kudos
Highlighted
Valued Contributor III
2 Views

Re: BSP editor in Eclipse IDE 11sp1

hi fheineman, 

thanks for the reply! I don't understand if I have to tick the Legacy package check box... because if I understand well, this package is useful only for projects created with very old Quartus; for me that I have created projects with QII10.1 is sufficient the Nios II SBT package (that now is automatically installed when you select to install QII). 

Is that true? 

 

thanks again 

 

Ale 

 

PS: I see also the old post... now I reinstall all:)
0 Kudos
Highlighted
Valued Contributor III
2 Views

Re: BSP editor in Eclipse IDE 11sp1

 

--- Quote Start ---  

 

I don't understand if I have to tick the Legacy package check box...  

--- Quote End ---  

 

 

 

I would not check the Legacy package.
0 Kudos
Highlighted
Valued Contributor III
2 Views

Re: BSP editor in Eclipse IDE 11sp1

thanks fheineman, 

I've reinstalled all QII11sp1 and the NiosII menu in Eclipse is now appeared! 

I confirm that the legacy package is not necessary. 

 

thanks again 

Ale
0 Kudos